/*
 * test.c -- GPSD client routines for AVLD
 * Author: Michael J. Tubby    Date: 29-JAN-2022
 *
 * ABSTRACT
 *
 * A module to test the GPSD connection and version handling
 *
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <errno.h>
#include <string.h>
#include <ctype.h>
#include <math.h>
#include <sys/time.h>
#include <gps.h>

#include "xtimer.h"
#include "gpsd.h"


static int ending = 0;


/*
 * Signal handler
 */
void signal_handler(int signal)
{
	++ending;
}


/*
 * main() - a test harness around GPSD handler
 */
int main(void)
{
	xtimer_t second;
	
	signal(SIGINT, signal_handler);
	signal(SIGTERM, signal_handler);

	gpsd_init();
	
	while (!ending) {
		gpsd_run();
		
		if (xtimer_expired(&second)) {
			gpsd_second();
			xtimer_start(&second, 1000L);
		}
	}

	gpsd_close();
	
	return 0;
}	

